import { Component, OnInit } from "@angular/core";
import { ActivatedRoute } from "@angular/router";

@Component({
  selector: "app-room",
  templateUrl: "./room.component.html",
  styleUrls: ["./room.component.css"],
})
export class RoomComponent implements OnInit {
  public breadcrumb: any;
  mode: string;
  // filteredRows: any[];
  searchTerm: string = "";
  ;
  filteredRows = [
    {
      type: "danger",
      value: 95,
      product: "Ruang Meeting 1",
      buttonname: "Mobile",
      amount: "$ 1200.00",
      bagde: "+8 more",
    },
    {
      type: "warning",
      value: 75,
      product: "Ruang Meeting 2",
      buttonname: "Teblet",
      amount: "$ 1190.00",
      bagde: "+5 more",
    },
    {
      type: "success",
      value: 65,
      product: "Ruang Meeting 3",
      buttonname: "Mobile",
      amount: "$ 999.00",
      bagde: "+3 more",
    },
    {
      type: "success",
      value: 55,
      product: "Dapur",
      buttonname: "Teblet",
      amount: "$ 1150.00",
    },
    {
      type: "success",
      value: 45,
      product: "Ruang Musola",
      buttonname: "Mobile",
      amount: "$ 1180.00",
    },
    {
      type: "danger",
      value: 90,
      product: "Ruang Server",
      buttonname: "Mobile",
      amount: "$ 1200.00",
      bagde: "+8 more",
    },
    {
      type: "warning",
      value: 75,
      product: "Ruang Kepala Bagian",
      buttonname: "Teblet",
      amount: "$ 1190.00",
      bagde: "+5 more",
    },
    {
      type: "success",
      value: 65,
      product: "Ruang Tengah",
      buttonname: "Mobile",
      amount: "$ 999.00",
      bagde: "+3 more",
    },
  ];
  

  constructor(private route: ActivatedRoute) {}

  ngOnInit() {
    this.route.data.subscribe((data) => {
      this.mode = data.mode;
    });
    console.log(this.mode);
    this.breadcrumb = {
      mainlabel: "Room",
      links: [
        {
          name: "Dashboard",
          isLink: false,
          link: "/dashboard/sales",
        },
        {
          name: "Room",
          isLink: false,
        },
      ],
    };
  }

  filterRows() {
    if (!this.searchTerm) {
      this.filteredRows = [...this.filteredRows];
    } else {
      this.filteredRows = this.filteredRows.filter((row) =>
        this.rowContainsSearchTerm(row)
      );
    }
  }

  rowContainsSearchTerm(row: any): boolean {
    const searchTermLC = this.searchTerm.toLowerCase();
    return Object.values(row).some(
      (value) =>
        value !== null && value.toString().toLowerCase().includes(searchTermLC)
    );
  }
}
